<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


/**
 * Class for displaying a menu with following links
 *      - show_hidden_records
 *
 * Required classes: Link, Dbc, Link_Switch
 *
 * @since 2010-11-04
 */
class Menu 
{
    protected $output_str = '';


/**
 * Shows a link to show deleted records
 *  .
 * @return html link
 */
function show_hidden_records2($qry) 
{
    global $la_hidden_show;

    $db = new Dbc();
    
        // Fields for query
    if ($_SESSION['tbl'] == 'use') {
        $db->select_db();
    }
    $switch = new Link_Switch();
    $count_del = $db->count_rows($qry);
    if ($count_del > 0) {
        $text = '<img src="' . PROJECT_HTTP_ROOT . 'image/del_yes.png" 
            width="10" border="none" title="gelschte Daten vorhanden"> ';
        $text .= $la_hidden_show;
    }else{
        $text = '<img src="' . PROJECT_HTTP_ROOT . 'image/del_no.png" 
            width="10" border="none" title="keine gelschten Daten vorhanden"> ';
        $text .= $la_hidden_show;
        $switch->inactive();
    }
    $deleted4 = $switch->link_session2('hide', $text, $text);
    $this->output_str .= $deleted4;
}


/**
 *
 * @global type $use
 * @global type $la_calculator
 * @global type $la_new
 * @global type $text
 * @global type $action_new
 * @global type $tbl_new
 * @return type 
 */
function make_link_new_record() 
{
    global $use;
    global $la_calculator;
    global $la_new;
    global $text;
    global $action_new;
    global $tbl_new;
    
    if (!isset($tbl_new) and isset($_SESSION['tbl'])) {
        $tbl_new = $_SESSION['tbl'];
    }
    
    // New record
    if ($use['id'] > 4 and $_SESSION['tbl'] == 'hel' ) {
        // Users with id higher than 4 shouldn't create new help themes
        return;
    }else{
        if (!isset($text)) {
            $text = $la_new;
        }
        
        // No new button when calculation
        if ($_SESSION['tbl'] == 'cal' or $_SESSION['tbl'] == 'ord_ite') {
            $this->output_str .= '<span class="inactive" title="' . $la_calculator 
                . '">' . $text . '</span> ';
            
        }else{
            $arr = array('tbl' => $tbl_new, 'new' => 2,
                );
            $link = new Link();
            $this->output_str .= $link->make_link( $action_new, $text, $arr);
        }
    }    
}


/**
 * 
 */
function print_menu() 
{
    ?>
    <div class="menux">
    <?php

    print $this->output_str;
    ?>
    </div>
    <?php
}


/**
 * Adds more elements to the menu, which are not occurs in this class
 * 
 * @param type $content 
 */
function add_more_content($content) 
{
    $this->output_str .= $content;
}




function set_print_view_target($target) 
{
    $this->print_view_target = $target;
}



}// end class
?>