<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


 /**
  * edit orders
  *
  *
  * Required: class Dbc
  * 
  * @since 2011-10
  */

class Order_Edit extends Dbc
{
    
protected $qry_auf_pos;
protected $number_of_rows_item;
protected $decimal_places_in_db = 3;
protected $new_pos_nr; // Maximum Position
protected $new_pos_nr_timeline; // Maximum Position
protected $last_unit; // Unit from last row


/**
 *
 * @global type $use
 * @global type $tbl_uni
 * @param type $row
 * @return type 
 */
function get_amount($row) 
{
    global $use;
    global $tbl_uni;
    
    $amount = $row['amount'];
    if ($row['id_tbl_unit'] == 0) {
        $amount = number_format($amount, 2, ",", ".");
        return $amount;
    }
    $this->select_db();
    $decimal_places = $this->get_one_field($tbl_uni, $row['id_tbl_unit'], 'decimal_places');
    $this->select_db($use['db_e']);
    $diff = $this->decimal_places_in_db - $decimal_places;
    $amount = number_format($amount, $this->decimal_places_in_db, ",", ".");
    if ($diff > 0) {
        $amount = substr($amount, 0, -$diff);
    }
    return $amount;
}


/**
 *
 * @global type $tbl_ord_ite
 * @return string 
 */
function get_last_unit() 
{
    global $tbl_ord_ite;
    $condition = " hide != 1 AND id_tbl_order = ".$_SESSION['auf_id']
               . " ORDER BY id DESC LIMIT 1";
    $last_auf_pos = $this->get_row_as_array($tbl_ord_ite, $condition);

    if (isset ($last_auf_pos['id_tbl_unit'])) {
        $last_unit = $last_auf_pos['id_tbl_unit'];
    }else{
        $last_unit = '';
    }
    $this->last_unit = $last_unit;
    return $last_unit;
}


/**
 *
 * @global type $tbl_ord_ite
 * @global type $order
 * @return type 
 */
function get_new_pos_nr() 
{
    global $tbl_ord_ite;
    global $order;
    $item = $this->get_max($tbl_ord_ite, 'CAST(item AS DECIMAL)', 
            "id_tbl_order = '{$order['id']}' AND hide != 1");
    $this->new_pos_nr = $item + 1;
    return $this->new_pos_nr;
}

/**
 *
 * @global type $tbl_ord_ite
 * @global type $order
 * @return type 
 */
function get_new_pos_nr_timeline() 
{
    global $tbl_tim;
    global $order;
    $item = $this->get_max($tbl_tim, 'CAST(item AS DECIMAL)', 
            "id_tbl_order = '{$order['id']}' AND hide != 1");
    $this->new_pos_nr_timeline = $item + 1;
    return $this->new_pos_nr_timeline;
}


/**
 *
 * @global type $tbl_ord_ite
 * @global type $order
 * @return type 
 */
function get_number_of_rows() 
{
    global $tbl_ord_ite;
    global $order;
    // Number of positions
    $qry_auf_pos = "
        SELECT id
        FROM $tbl_ord_ite
        WHERE id_tbl_order = " . $order['id'] . " 
        AND hide != 1
        AND item_typ >= 0
        AND item_typ != 5 ";
    $this->qry_auf_pos = $qry_auf_pos;
    $number_of_rows_item = $this->count_rows($this->qry_auf_pos);
    $this->number_of_rows_item = $number_of_rows_item;
    return $number_of_rows_item;
}


/**
 *
 * @global type $auf_pos
 * @global type $file_order_edit
 * @global type $order
 * @global type $file
 * @global type $la_save
 * @global type $la_new_pos_insert
 * @global type $use
 * @param type $insert_edit 
 */
function print_row_with_form($insert_edit='edit') 
{
    global $copy_row;
    global $tbl_uni;
    global $auf_pos;
    global $file_order_edit;
    global $order;
    global $file;
    global $la_save;
    global $la_new_pos_insert;
    global $worker;
    global $use;
    ?>
    <td style="width: 90px;">
    <?php
        // Edit
        if ($insert_edit == 'edit') {
            // anchor to jump to the current line
            print '<a name="a" '. $auf_pos['item'] . ' ></a>';
            if (isset($auf_pos['item']) and $auf_pos['item'] > 50) {
                $anchor_target = '?#a' . $auf_pos['item'];
            }else{
                $anchor_target = '';
            }
            ?>
            <form method="post" name="frm_change_ord_ite" 
              action="<?php print $_SERVER['PHP_SELF'] . $anchor_target;  ?>">
            <input type="hidden" name="item_follow" size="1" value="<?php print $auf_pos['item_follow']; ?>" > 
            <input type="hidden" name="pos_old" value="<?php print $auf_pos['item']; ?>">
            <input type="hidden" name="change_data" value="1">
            <?php
            $subject = $auf_pos['description'];
            $ust_value = $auf_pos['tax_a_b'];
            $submit_name = 'change_data';
            $position = $auf_pos['item'];
            $amount = $auf_pos['amount'];
            $unit = $auf_pos['id_tbl_unit'];
            $sales_price = $auf_pos['sales_price'];

        // Insert
        }elseif($insert_edit == 'insert') {
            ?>
            <form method="post" name="frm_insert_ord_ite" action="<?php print $_SERVER['PHP_SELF'] ;  ?>">
            <input type="hidden" name="tbl" value="<?php print 'ord_ite'; ?>">
            <input type="hidden" name="id_tbl_order" value="<?php print $order['id']; ?>">
            <input type="hidden" name="auf_id" value="<?php print $order['id']; ?>">
            <input type="hidden" name="file" value="<?php print $file_order_edit; ?>">
            <?php     
            if (isset($copy_row) and !empty($copy_row)) {
                $subject = $copy_row['description'];
                $ust_value = $copy_row['tax_a_b'];
                $unit = $copy_row['id_tbl_unit'];
                $sales_price = $copy_row['sales_price'];
            }else{
                $subject = $la_new_pos_insert;
                $ust_value = 1;
                $unit = $this->last_unit;
                $sales_price = '';
            }
            if (empty ($unit)) {
                $unit = 1; // if no value prepopulate with piece (1)
            }
            $position = $this->new_pos_nr++;
            $submit_name = 'insert_data';
            $amount = 1;
        }

        
        /**
         *  Edit and insert
         */
        // Print hidden check_id_field
        check_id_field();

        ?>
        <input type="hidden" name="tbl" value="<?php print 'ord_ite'; ?>" >
        <input type="hidden" name="file" value="<?php print $file; ?>" >
        <input type="text" name="item" size="2" value="<?php print $position; ?>" >

        <?php
        if ($insert_edit == 'edit') {
            ?>
            <br>
            <input type="checkbox" name="auto_sort" value ="1" checked > Autosort
            <br/>
            <?php 
            print link_back_with_query(); 
        }
        ?>
    </td>
    <td>
        <input type="hidden" name="id" value="<?php print $auf_pos['id']; ?>">
        <input type="text" name="amount" size="3" value="<?php print $amount; ?>">
    </td>
    <td>
        <?php
        $drop = new Drop_Down();
        $arr_fields = array('unit', 'decimal_places');
        $drop->set_values_db($tbl_uni, 'id_tbl_unit', $arr_fields, $unit);
        print $drop->make_drop_down(0,55);
        $this->select_db($use['db_e']);
        ?>
    </td>
    <td>
        <textarea name="description" style="width:100%"  rows="<?php print $worker['textarea_rows']; ?>"
        onfocus="select()"><?php print $subject; ?></textarea>
    </td>
    <td>
        <input style="width:100%" type="text" name="sales_price" size="4" 
               value="<?php print $sales_price; ?>" >
    </td>
    <td>
    <?php
        $arr_fields = array('normal', 'alternativ', 'Text', 'eventuell', 'Pos/Text', );
        $drop->set_values_array('item_typ', $arr_fields, $auf_pos['item_typ']);
        print $drop->make_drop_down(0,80);
    ?>
    </td>
    <?php
    if ($order['tax_on'] == 1) {
        ?>
        <td>
            <?php 
            // Array tax
            $arr_a_b = array(
                0 => '-',
                1 => $order['tax_rate_a'].'%',
                2 => $order['tax_rate_b'].'%',
                );
            $drop->set_values_array('tax_a_b', $arr_a_b, $ust_value);
            print $drop->make_drop_down(0,55);
            ?>
        </td>
        <?php
    }
    
    if ($use['mod_calc'] == 1) {
        ?>
        <td>-</td>
        <?php
    }
    ?>
        
    <td><input type="submit" name="<?php print $submit_name; ?>"  
               style="max-width:70px;"
               value="<?php print $la_save; ?>" ><?php
        if ($insert_edit == 'edit') {
            ?>
        <br>
        <br>
            <span class="small">
            <?php
            // Link free edit
            $link_free_edit = new Link_Free_Edit();
            print $link_free_edit->get_link();
            ?>
            </span>
            <?php
        }
        ?></form></td>
<?php

}



/**
 *
 * @global type $tim
 * @global type $file_order_edit
 * @global type $order
 * @global type $file
 * @global type $la_save
 * @global type $la_new_pos_insert
 * @global type $worker
 * @param type $insert_edit 
 */
function print_row_with_form_timeline($insert_edit='edit') 
{
    global $tim;
    global $file_order_edit;
    global $order;
    global $file;
    global $la_save;
    global $la_new_pos_insert;
    global $worker;
    
    if ($insert_edit == 'insert') {
        $date = date('Y-m-d G:i');
        
    }else{
        $date = $tim['date_insert'];
    }
    
    ?>
    <td style="width: 90px;">
    <?php
        // Edit
        if ($insert_edit == 'edit') {
            // anchor to jump to the current line
            print '<a name="a" '. $tim['item'] . ' ></a>';
            if (isset($tim['item']) and $tim['item'] > 50) {
                $anchor_target = '?#a' . $tim['item'];
            }else{
                $anchor_target = '';
            }
            ?>
            <form method="post" name="frm_change_ord_ite" 
              action="<?php print $_SERVER['PHP_SELF'] . $anchor_target;  ?>">
            <input type="hidden" name="change_data" value="1">
            <?php
            $subject = $tim['description'];
            $submit_name = 'change_data';
            $position = $tim['item'];

        // Insert
        }elseif($insert_edit == 'insert') {
            ?>
            <form method="post" name="frm_insert_ord_ite" action="<?php print $_SERVER['PHP_SELF'] ;  ?>">
            <input type="hidden" name="tbl" value="tim">
            <input type="hidden" name="id_tbl_order" value="<?php print $order['id']; ?>">
            <input type="hidden" name="auf_id" value="<?php print $order['id']; ?>">
            <input type="hidden" name="file" value="<?php print $file_order_edit; ?>">
            <?php     
                $subject = $la_new_pos_insert;
            $position = $this->new_pos_nr_timeline++;
            $submit_name = 'insert_data';
        }

        /**
         *  Edit and insert
         */
        // Print hidden check_id_field
        check_id_field();

        ?>
        <input type="hidden" name="tbl" value="tim" >
        <input type="hidden" name="file" value="<?php print $file; ?>" >
        <input type="text" name="item" size="2" value="<?php print $position; ?>" >

        <?php
        if ($insert_edit == 'edit') {
            ?>
            <br>
            <input type="checkbox" name="auto_sort" value ="1" checked > Autosort
            <br/>
            <?php 
            print link_back_with_query(); 
        }
        ?>
    </td>
    <td>
        <input style="width: 100%;" type="text" name="date_insert" value="<?php print $date; ?>" >
        <input type="hidden" name="id" value="<?php print $tim['id']; ?>">
    </td>
    <td>
        <textarea name="description" style="width:100%"  rows="<?php print $worker['textarea_rows']-1; ?>"
        onfocus="select()"><?php print $subject; ?></textarea>
    </td>
    <td>
        <input type="submit" name="<?php print $submit_name; ?>"  
               value="<?php print $la_save; ?>" >
        <?php

        if ($insert_edit == 'edit') {
            ?>
        <br>
        <br>
            <span class="small">
            <?php
            // Link free edit
            $link_free_edit = new Link_Free_Edit();
            print $link_free_edit->get_link();
            ?>
            </span>
            <?php
        }
        ?>
        </form>
    </td>
<?php

}



/**
 * Get link offer
 *
 * @global type $link
 * @global type $file
 * @global type $auf_pos
 * @param type $data
 *     $data = array(
 *      'offer',
 *       $la_offer_1,
 *       $la_offer_set,
 *       $la_offer_unset,
 *       );
 * @return string 
 */
function get_link_kva($data) 
{
    global $link;
    global $file;
    global $auf_pos;
    
    #print_r($data);
    
    // links for add or remove offer, confi, deliv and invoi
    $bold2 = 'bcolor_blue';
    $file_with_query = $file.'?auf_pos_id='.$auf_pos['id'];
    $link->set_class('action');
    $link->set_condition($auf_pos[$data[0]] == 0);
    $links = $link->make_link($file_with_query.'&'.$data[0].'=0', $data[1], '', $data[2]);
    $link->set_condition($auf_pos[$data[0]] == 1);
    $link->set_class($bold2);
    $links .= $link->make_link($file_with_query.'&'.$data[0].'=1', $data[1], '', $data[3]);
    $links .= ' ';
    
    return $links;
}


} // end class
?>