<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


/**
 * 
 * Configuration file for project and error handler
 */


/**
 * FAKTURA_USER_ID for using backup files from online version 
 */
define('FAKTURA_USER_ID', 1);


/**
 * Your home directory on linux operating system (your username)
 * Das Home-Verzeichnis auf Linux Betriebsystemen (Login-Name)
 */
define('HOME', 'YOUR_HOME_DIRECTORY');

/**
 * Software-version (necessary for path)
 * Softwareversion
 */
define('VERSION', 'faktura-');

/**
 * Software-version (necessary for path)
 * Softwareversion
 */
define('VERSION_CODE', 2);

/**
 * Software-version (necessary for path)
 * Softwareversion
 */
define('VERSION_NO', '0.61');

/**
 * Local desktop version or running on a webserver, default: true
 * Lokale Desktopversion oder Version fr einen Webserver. Standardwert: true
 */
define('LOCAL_SYSTEM', true);

/**
 * Display db-errors, default: false
 * Anzeige von Datenbankfehlern
 */
define('DB_ERROR', true);

/**
 * Use private error-handler, default: true
 * Implemtierte Fehlerbehandlung verwenden. Standardwert: true
 */
define('USE_ERROR_HANDLER', true);

/**
 * Title of the window
 * Titel des Fensters
 */
define('WINDOW_TITLE', "schreinerwissen auftragsverwaltung");

/**
 * Assume last field
 * Zeichen fr die Holzliste, bei dem der letzte Wert bernommen wird.
 */
define('TAKE_LAST_FIELD', '#');

/**
 * WIDTH OF INPUT FIELD
 * Standardbreite eines Formularfeldes
 */
define('INPUT_FIELD_WIDTH', 37);

/**
 * Default column width
 * Spaltenbreite falls kein Wert angegeben wurde
 */
define('COLUMN_WIDTH', 45);

/**
 * Default x-position of delivery address block 
 */
define('DELIVERY_ADDRESS_X', 30);

/**
 * Default x-position of delivery address block 
 */
define('DELIVERY_ADDRESS_Y', 18);

/**
 * Maximum size for images
 * Maximale Gre von hochgeladenen Bildern
 */
define('IMAGE_MAX_FILESIZE', '450000');

/**
 * Waste for edge banding machine, unit meter
 * Zugabe fr fr die Kantenanleimmaschine
 */
define('WASTE_FOR_EDGE_BANDING_MACHINE', 0.08);

/**
 * Timezone 
 * Zeitzone fr PHP
 */
date_default_timezone_set('Europe/Berlin');

/**
 * Error reporting: configuration for php.ini
 * Regelt die Anzeige von Programmfehlern
 */
ini_set('display_errors', 1);
#error_reporting(E_ALL | E_STRICT);

/**
 * Use auto-forwarding or link, default: true
 * Automatische Weiterleitung
 */
define('AUTO_FORWARD', true);

/**
 * Display service, login only for admin, default: false
 * Anzeige der Servicemeldung bei Arbeiten am System
 */
define('SERVICE', false);

/**
 * TIME IN MINUTES FOR SAVING THE SESSION IN TBL_WOR: DEFAULT: 600 = 10minutes
 * Zeitinterval fr die Speicherung von Sessionparametern in der Tabelle worker
 */
define('SAVE_SESSION_INTERVAL', 600);


// Session start
if(!isset($_SESSION)) {
    session_start();
}


/**
 * Configuration of errorhandler
 * 
 */

/**
 * Display errors on the screen
 */
// Don't show errors in pdf.php
$current_file = basename($_SERVER['SCRIPT_NAME']);
if ($current_file == 'pdf.php' or $current_file == 'address_label.php' ) {
    $true_false = false;
}else{
    $true_false = false;
}

// Switch on or off displaying errors on the screen
#define('EH_SCREEN_NOTIFICATION', false);
define('EH_SCREEN_NOTIFICATION', $true_false);

// Define screen errors, which are displayed on the screen.
$screenErrors = array( 
    E_ERROR, 
    E_WARNING, 
    E_PARSE, 
    E_NOTICE,
    E_CORE_ERROR, 
    E_CORE_WARNING, 
    E_COMPILE_ERROR, 
    E_COMPILE_WARNING,
    E_USER_ERROR, 
    E_USER_WARNING, 
    E_USER_NOTICE, 
    E_ALL,
    );

/**
 *  Email-Notifikation
 */
// Switch on or off sending errors by email
define('EH_EMAIL_NOTIFICATION', false);

// Define errors for emails
$emailErrors = array (E_USER_ERROR, E_USER_WARNING, E_WARNING);

// Admin-Email address for Errors
define('EH_ADMIN_EMAIL', "c-hilbert@web.de");


/**
 *  Protocoll settings
 */
// Switch on or off of protocoll function
define('EH_LOG', false);

// Define table for errors
define('EH_DB_TABLE', 'prog_faktura.errorlog50');

// Path to log file
define('EH_LOGFILE_PATH', PROJECT_DOCUMENT_ROOT . '/error.log');

// Path to log file
define('QUERY_LOGFILE_PATH', PROJECT_DOCUMENT_ROOT . '/query.log');

// Define errors for protocoll
$logErrors = array (
    E_USER_ERROR, 
    E_USER_WARNING, 
    E_WARNING, 
    E_NOTICE, 
    E_USER_NOTICE,
    );

// Dont repeat errors
ini_set('ignore_repeated_errors', 1);



// Headline
$headline_base = '<h1 style="display:inline;">
    <a style="text-decoration:none" href="http://www.schreinerwissen.de/faktura">
    <span style="color:#993300">schreinerwissen</span>.
    <span style="color: teal;"> auftragsverwaltung-' . VERSION_NO . '</span></a>
</h1>';

if(isset($_SESSION['use_id'])) {
    // First line of error message
    $error_first_line = "\n" . $_SESSION['use_id'] . "--" . date('Y-m-d G:i') 
            . ", " .  ', '. $_SERVER['QUERY_STRING'].', '. $_SERVER['REQUEST_METHOD'] . "\n\t";
    
    
}
