<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * Inclusion for make_tbl.php
 * 
 * Creates:
 * - Table unit
 * - Table country
 * 
 * @since 2011-05
 */


// Unit
$sql = "
CREATE TABLE IF NOT EXISTS tbl_0_unit_de (
  id int(11) NOT NULL AUTO_INCREMENT,
  unit varchar(15) NOT NULL,
  decimal_places tinyint(4) NOT NULL,
  PRIMARY KEY (id)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=17 ;
";
$db->do_sql($sql);


$sql = "
INSERT INTO tbl_0_unit_de (id, unit, decimal_places) VALUES
(1, 'St.', 2),
(2, 'm', 2),
(3, 'h', 2),
(4, 'mm', 2),
(5, 'm2', 2),
(6, 'm3', 3),
(7, 'Paar', 2),
(8, 'Liter', 2),
(9, 'Dose(n)', 2),
(10, '', 0),
(11, 'Einheit(en)', 2),
(12, 'km', 2),
(13, 'Pauschale', 2),
(14, 'Kartusche', 2),
(15, 'kg', 2),
(16, 'Set', 0);
";
$db->do_sql($sql);


// Country
$sql = "
    CREATE TABLE IF NOT EXISTS `tbl_0_country` (
    `id` varchar(2) NOT NULL,
    `country` varchar(50) NOT NULL,
    `favorit` tinyint(1) NOT NULL,
    `hide` tinyint(1) NOT NULL,
    PRIMARY KEY  (`id`)
    ) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='nach ISO 3166';
";
$db->do_sql($sql);


$sql = "
    INSERT INTO `tbl_0_country` (`id`, `country`, `favorit`, `hide`) VALUES
    ('O1', 'Other Country', 0, 1),
    ('AD', 'Andorra', 0, 1),
    ('AE', 'United Arab Emirates', 0, 1),
    ('AF', 'Afghanistan', 0, 1),
    ('AG', 'Antigua and Barbuda', 0, 1),
    ('AI', 'Anguilla', 0, 1),
    ('AL', 'Albania', 0, 1),
    ('AM', 'Armenia', 0, 1),
    ('AN', 'Netherlands Antilles', 0, 1),
    ('AO', 'Angola', 0, 1),
    ('AP', 'Asia/Pacific Region', 0, 1),
    ('AQ', 'Antarctica', 0, 1),
    ('AR', 'Argentina', 0, 1),
    ('AS', 'American Samoa', 0, 1),
    ('AT', 'Austria', 1, 0),
    ('AU', 'Australia', 0, 1),
    ('AW', 'Aruba', 0, 1),
    ('AX', 'Aland Islands', 0, 1),
    ('AZ', 'Azerbaijan', 0, 1),
    ('BA', 'Bosnia and Herzegovina', 0, 1),
    ('BB', 'Barbados', 0, 1),
    ('BD', 'Bangladesh', 0, 1),
    ('BE', 'Belgium', 1, 0),
    ('BF', 'Burkina Faso', 0, 1),
    ('BG', 'Bulgaria', 0, 1),
    ('BH', 'Bahrain', 0, 1),
    ('BI', 'Burundi', 0, 1),
    ('BJ', 'Benin', 0, 1),
    ('BM', 'Bermuda', 0, 1),
    ('BN', 'Brunei Darussalam', 0, 1),
    ('BO', 'Bolivia', 0, 1),
    ('BR', 'Brazil', 0, 1),
    ('BS', 'Bahamas', 0, 1),
    ('BT', 'Bhutan', 0, 1),
    ('BV', 'Bouvet Island', 0, 1),
    ('BW', 'Botswana', 0, 1),
    ('BY', 'Belarus', 0, 1),
    ('BZ', 'Belize', 0, 1),
    ('CA', 'Canada', 0, 1),
    ('CC', 'Cocos (Keeling) Islands', 0, 1),
    ('CD', 'Congo, The Democratic Republic of the', 0, 1),
    ('CF', 'Central African Republic', 0, 1),
    ('CG', 'Congo', 0, 1),
    ('CH', 'Switzerland', 1, 0),
    ('CI', 'Cote d''Ivoire', 0, 1),
    ('CK', 'Cook Islands', 0, 1),
    ('CL', 'Chile', 0, 1),
    ('CM', 'Cameroon', 0, 1),
    ('CN', 'China', 0, 1),
    ('CO', 'Colombia', 0, 1),
    ('CR', 'Costa Rica', 0, 1),
    ('CU', 'Cuba', 0, 1),
    ('CV', 'Cape Verde', 0, 1),
    ('CX', 'Christmas Island', 0, 1),
    ('CY', 'Cyprus', 0, 1),
    ('CZ', 'Czech Republic', 1, 0),
    ('DE', 'Deutschland', 1, 0),
    ('DJ', 'Djibouti', 0, 1),
    ('DK', 'Denmark', 1, 0),
    ('DM', 'Dominica', 0, 1),
    ('DO', 'Dominican Republic', 0, 1),
    ('DZ', 'Algeria', 0, 1),
    ('EC', 'Ecuador', 0, 1),
    ('EE', 'Estonia', 0, 1),
    ('EG', 'Egypt', 0, 1),
    ('EH', 'Western Sahara', 0, 1),
    ('ER', 'Eritrea', 0, 1),
    ('ES', 'Spain', 1, 0),
    ('ET', 'Ethiopia', 0, 1),
    ('EU', 'Europe', 0, 1),
    ('FI', 'Finland', 1, 0),
    ('FJ', 'Fiji', 0, 1),
    ('FK', 'Falkland Islands (Malvinas)', 0, 1),
    ('FM', 'Micronesia, Federated States of', 0, 1),
    ('FO', 'Faroe Islands', 0, 1),
    ('FR', 'France', 1, 0),
    ('GA', 'Gabon', 0, 1),
    ('GB', 'United Kingdom', 0, 1),
    ('GD', 'Grenada', 0, 1),
    ('GE', 'Georgia', 0, 1),
    ('GF', 'French Guiana', 0, 1),
    ('GG', 'Guernsey', 0, 1),
    ('GH', 'Ghana', 0, 1),
    ('GI', 'Gibraltar', 0, 1),
    ('GL', 'Greenland', 0, 1),
    ('GM', 'Gambia', 0, 1),
    ('GN', 'Guinea', 0, 1),
    ('GP', 'Guadeloupe', 0, 1),
    ('GQ', 'Equatorial Guinea', 0, 1),
    ('GR', 'Greece', 1, 0),
    ('GS', 'South Georgia and the South Sandwich Islands', 0, 1),
    ('GT', 'Guatemala', 0, 1),
    ('GU', 'Guam', 0, 1),
    ('GW', 'Guinea-Bissau', 0, 1),
    ('GY', 'Guyana', 0, 1),
    ('HK', 'Hong Kong', 0, 1),
    ('HM', 'Heard Island and McDonald Islands', 0, 1),
    ('HN', 'Honduras', 0, 1),
    ('HR', 'Croatia', 0, 1),
    ('HT', 'Haiti', 0, 1),
    ('HU', 'Hungary', 0, 1),
    ('ID', 'Indonesia', 0, 1),
    ('IE', 'Ireland', 0, 1),
    ('IL', 'Israel', 0, 1),
    ('IM', 'Isle of Man', 0, 1),
    ('IN', 'India', 0, 1),
    ('IO', 'British Indian Ocean Territory', 0, 1),
    ('IQ', 'Iraq', 0, 1),
    ('IR', 'Iran, Islamic Republic of', 0, 1),
    ('IS', 'Iceland', 0, 1),
    ('IT', 'Italy', 1, 0),
    ('JE', 'Jersey', 0, 1),
    ('JM', 'Jamaica', 0, 1),
    ('JO', 'Jordan', 0, 1),
    ('JP', 'Japan', 0, 1),
    ('KE', 'Kenya', 0, 1),
    ('KG', 'Kyrgyzstan', 0, 1),
    ('KH', 'Cambodia', 0, 1),
    ('KI', 'Kiribati', 0, 1),
    ('KM', 'Comoros', 0, 1),
    ('KN', 'Saint Kitts and Nevis', 0, 1),
    ('KP', 'Korea, Democratic People''s Republic of', 0, 1),
    ('KR', 'Korea, Republic of', 0, 1),
    ('KW', 'Kuwait', 0, 1),
    ('KY', 'Cayman Islands', 0, 1),
    ('KZ', 'Kazakhstan', 0, 1),
    ('LA', 'Lao People''s Democratic Republic', 0, 1),
    ('LB', 'Lebanon', 0, 1),
    ('LC', 'Saint Lucia', 0, 1),
    ('LI', 'Liechtenstein', 1, 0),
    ('LK', 'Sri Lanka', 0, 1),
    ('LR', 'Liberia', 0, 1),
    ('LS', 'Lesotho', 0, 1),
    ('LT', 'Lithuania', 0, 1),
    ('LU', 'Luxembourg', 0, 1),
    ('LV', 'Latvia', 0, 1),
    ('LY', 'Libyan Arab Jamahiriya', 0, 1),
    ('MA', 'Morocco', 0, 1),
    ('MC', 'Monaco', 0, 1),
    ('MD', 'Moldova, Republic of', 0, 1),
    ('ME', 'Montenegro', 0, 1),
    ('MG', 'Madagascar', 0, 1),
    ('MH', 'Marshall Islands', 0, 1),
    ('MK', 'Macedonia', 0, 1),
    ('ML', 'Mali', 0, 1),
    ('MM', 'Myanmar', 0, 1),
    ('MN', 'Mongolia', 0, 1),
    ('MO', 'Macao', 0, 1),
    ('MP', 'Northern Mariana Islands', 0, 1),
    ('MQ', 'Martinique', 0, 1),
    ('MR', 'Mauritania', 0, 1),
    ('MS', 'Montserrat', 0, 1),
    ('MT', 'Malta', 0, 1),
    ('MU', 'Mauritius', 0, 1),
    ('MV', 'Maldives', 0, 1),
    ('MW', 'Malawi', 0, 1),
    ('MX', 'Mexico', 0, 1),
    ('MY', 'Malaysia', 0, 1),
    ('MZ', 'Mozambique', 0, 1),
    ('NA', 'Namibia', 0, 1),
    ('NC', 'New Caledonia', 0, 1),
    ('NE', 'Niger', 0, 1),
    ('NF', 'Norfolk Island', 0, 1),
    ('NG', 'Nigeria', 0, 1),
    ('NI', 'Nicaragua', 0, 1),
    ('NL', 'Netherlands', 1, 0),
    ('NO', 'Norway', 1, 0),
    ('NP', 'Nepal', 0, 1),
    ('NR', 'Nauru', 0, 1),
    ('NU', 'Niue', 0, 1),
    ('NZ', 'New Zealand', 0, 1),
    ('OM', 'Oman', 0, 1),
    ('PA', 'Panama', 0, 1),
    ('PE', 'Peru', 0, 1),
    ('PF', 'French Polynesia', 0, 1),
    ('PG', 'Papua New Guinea', 0, 1),
    ('PH', 'Philippines', 0, 1),
    ('PK', 'Pakistan', 0, 1),
    ('PL', 'Poland', 1, 0),
    ('PM', 'Saint Pierre and Miquelon', 0, 1),
    ('PN', 'Pitcairn', 0, 1),
    ('PR', 'Puerto Rico', 0, 1),
    ('PS', 'Palestinian Territory', 0, 1),
    ('PT', 'Portugal', 0, 1),
    ('PW', 'Palau', 0, 1),
    ('PY', 'Paraguay', 0, 1),
    ('QA', 'Qatar', 0, 1),
    ('RE', 'Reunion', 0, 1),
    ('RO', 'Romania', 0, 1),
    ('RS', 'Serbia', 0, 1),
    ('RU', 'Russian Federation', 0, 1),
    ('RW', 'Rwanda', 0, 1),
    ('SA', 'Saudi Arabia', 0, 1),
    ('SB', 'Solomon Islands', 0, 1),
    ('SC', 'Seychelles', 0, 1),
    ('SD', 'Sudan', 0, 1),
    ('SE', 'Sweden', 0, 1),
    ('SG', 'Singapore', 0, 1),
    ('SH', 'Saint Helena', 0, 1),
    ('SI', 'Slovenia', 0, 1),
    ('SJ', 'Svalbard and Jan Mayen', 0, 1),
    ('SK', 'Slovakia', 0, 1),
    ('SL', 'Sierra Leone', 0, 1),
    ('SM', 'San Marino', 0, 1),
    ('SN', 'Senegal', 0, 1),
    ('SO', 'Somalia', 0, 1),
    ('SR', 'Suriname', 0, 1),
    ('ST', 'Sao Tome and Principe', 0, 1),
    ('SV', 'El Salvador', 0, 1),
    ('SY', 'Syrian Arab Republic', 0, 1),
    ('SZ', 'Swaziland', 0, 1),
    ('TC', 'Turks and Caicos Islands', 0, 1),
    ('TD', 'Chad', 0, 1),
    ('TF', 'French Southern Territories', 0, 1),
    ('TG', 'Togo', 0, 1),
    ('TH', 'Thailand', 0, 1),
    ('TJ', 'Tajikistan', 0, 1),
    ('TK', 'Tokelau', 0, 1),
    ('TL', 'Timor-Leste', 0, 1),
    ('TM', 'Turkmenistan', 0, 1),
    ('TN', 'Tunisia', 0, 1),
    ('TO', 'Tonga', 0, 1),
    ('TR', 'Turkey', 0, 1),
    ('TT', 'Trinidad and Tobago', 0, 1),
    ('TV', 'Tuvalu', 0, 1),
    ('TW', 'Taiwan', 0, 1),
    ('TZ', 'Tanzania, United Republic of', 0, 1),
    ('UA', 'Ukraine', 0, 1),
    ('UG', 'Uganda', 0, 1),
    ('UM', 'United States Minor Outlying Islands', 0, 1),
    ('US', 'United States', 0, 1),
    ('UY', 'Uruguay', 0, 1),
    ('UZ', 'Uzbekistan', 0, 1),
    ('VA', 'Holy See (Vatican City State)', 0, 1),
    ('VC', 'Saint Vincent and the Grenadines', 0, 1),
    ('VE', 'Venezuela', 0, 1),
    ('VG', 'Virgin Islands, British', 0, 1),
    ('VI', 'Virgin Islands, U.S.', 0, 1),
    ('VN', 'Vietnam', 0, 1),
    ('VU', 'Vanuatu', 0, 1),
    ('WF', 'Wallis and Futuna', 0, 1),
    ('WS', 'Samoa', 0, 1),
    ('YE', 'Yemen', 0, 1),
    ('YT', 'Mayotte', 0, 1),
    ('ZA', 'South Africa', 0, 1),
    ('ZM', 'Zambia', 0, 1),
    ('ZW', 'Zimbabwe', 0, 1);
";
$db->do_sql($sql);

