<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
// For update MySQL --------------------------------------------------------
define('NEW_FIELD', 'terms_of_payment');

        // array('field_name', 'field_type', 'insert_after_this_field');
        $arr_fields_new = array(
            array('terms_of_payment', 'VARCHAR(255)', 'time_payment_add'),
            array('tax_column_on', 'tinyint(1)', 'tax_on'),
            array('tax_short', 'varchar(6)', 'tax_column_on'),
            array('your_mark', 'varchar(16)', 'font_size'),
            array('address_xy', 'varchar(20)', 'assumption_costs_bottom'),
            array('delivery_address_xy', 'varchar(20)', 'address_xy'), 
        );
//--------------------------------------------------------------------------

session_start();

if (isset($_POST['lang']) and $_POST['lang'] == 'en') {
    $_SESSION['lang'] = 'en';
    $check_en = 'checked';
    $check_de = '';

}else{
    $_SESSION['lang'] = 'de';
    $check_en = '';
    $check_de = 'checked';
}

// Projekt path
define('PROJECT_DOCUMENT_ROOT', dirname(__FILE__));

/**
 * Includes
 */
require_once 'config.php';
require_once 'config_db.php';
require_once 'class/dbc.class.php';
require_once 'class/html_element.class.php';
require_once 'include/function.inc.php';
require_once 'lang/german.inc.php';


$path_class = PROJECT_DOCUMENT_ROOT . '/class/';
$path_include = PROJECT_DOCUMENT_ROOT . '/include/';

// Autoload of classes
function __autoload($class)
{
    global $path_class;
    $class = strtolower($class);
    require_once $path_class . $class . '.class.php';
}



/**
 * Local system without login
 */
if (LOCAL_SYSTEM == true) {
    $_SESSION['use_id'] = FAKTURA_USER_ID;
    $_SESSION['time'] = time();

    // Check if DB is updated
    $db = new Dbc();
    
    // Check if db is present
    $db_present = $db->select_db('faktura');
    
    // Read all fields from table
    $export = new Db_Export();
    $str_export = $export->export_table_structure('tbl_1_admin');
    
    // Check, if new field is present
    $new_field_find = stripos($str_export, NEW_FIELD);
    
    
    // Find new fields
    if ($new_field_find === false and $db_present == true and isset($_REQUEST['update']) 
            and $_REQUEST['update'] == 1) {
        // Update DB
        $hint_update1 = '<h1>Datenbank-Update</h1>';
        

        $sql_watcher = 0;
        $sql_output = '';
        
        // Create and execute sql-statements for $arr_fields_new
        foreach($arr_fields_new as $arr_value) {
            
            $new_field_find = stripos($str_export, $arr_value[0]);
            if ($new_field_find == true) {
                // Drop if some fields already exists
                $sql = "ALTER TABLE `tbl_1_admin` DROP `" . $arr_value[0] . "` ;";
                $do_sql = $db->do_sql($sql);
            }
            
            $sql = "ALTER TABLE `tbl_1_admin` ADD `" . $arr_value[0] . "` " 
                 . $arr_value[1] . " NOT NULL AFTER `" . $arr_value[2] . "` ";
            $do_sql = $db->do_sql($sql);
            if($do_sql === false) { 
                $sql_watcher++; 
                $sql_output .= 'ERROR: Feld ' . $arr_value[0] . " nicht";
            } else {
                $sql_output .=  'OK: Feld ' . $arr_value[0];
            }
            $sql_output .= " hinzugef&uuml;gt.<br>\n";
        }

        $hint_update = '<br>Die Datenbank wurde aktualisiert. Es traten ' . $sql_watcher 
                . ' Fehler auf.<br>';


    }
    
    
    // Pipe
    #header("Location: center.php?zen=1&bea_search=1&new=1");
    #exit ();
} // End LOCAL true


if ($_SESSION['lang'] == 'de') {
    require_once 'lang/german.inc.php';
}elseif($_SESSION['lang'] == 'en') {
    require_once  'lang/english.inc.php';
}


if (isset($_REQUEST['login_button'])) {

    /**
     * Cut user input to maximal 50 and 32 charakters
     * Security to male code
     */
    $post_email_50 = trim(substr($_REQUEST['email'], 0, 50));
    $post_password_32 = substr($_REQUEST['password'], 0, 32);

    /**
     * Function, to get the part of the string before needle:
     * in this case email-address without operator.
     * 
     * @param <type> $h
     * @param <type> $n
     * @return <string>
     */
    function strstrb($h,$n) {
        $arr = explode($n, $h, 2);
        return array_shift($arr);
    }
    
    $post_email_50_without_worker = strstrb($post_email_50, ' ');

    // extract operator from login
    $worker = trim(strstr($post_email_50, ' '));
    $_SESSION['bea_username'] = $worker;

    // Password to md5
    $password_md5 = md5($post_password_32);

    /**
     * get user as array $use3[login_name] etc.
     */
     $use2 = new Dbc('prog_faktura');
     $use = $use2->get_row_as_array('tbl_0_user', "email = '".$post_email_50_without_worker."'");
     #print_r($use3);
      if (empty($use)) {
         $use3_empty = 1;
      }else

    if (isset($_REQUEST['password']) && $password_md5 == $use['pw']) {
        /**
         *  Checking
         */
        if (!isset($file6)) {
            $file6 = 'sff.php';
        }

        if (is_file($file6)) {
            require_once $file6; 
        }elseif(LOCAL_SYSTEM == true) {
            $key77 = 'faktura';
            $value77 = 'ok'; 
        }

        /**
         * Set session vars
         */
        $_SESSION[$key77] = $value77;
        $_SESSION['user'] = $use['email'];
        $_SESSION['use_id'] = $use['id'];
        $_SESSION['mod_expense'] = $use['mod_expense'];
        $_SESSION['mod_anfrage'] = $use['mod_anfrage'];
        $_SESSION['mod_kalku'] = $use['mod_kalku'];
        $_SESSION['lang'] = $_POST['lang'];
        $_SESSION['time'] = time();
        $_SESSION['time_info'] = time();

        
        // db log
        if (is_file($file_db)) {
            require_once $file_db; 
        }

        // Pipe
        header("Location: center.php?zen=1&bea_search=1&new=1");

    /**
     * False login
     */  
    }else{
        $false_login = 1;
    }
}


?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="css/default.css" type="text/css">
<title>schreinerwissen. auftragsverwaltung</title>
</head>
<body style="background: white;" onload="document.login.email.focus()">
    
    <div class="standard900">
    <div style="width:500px;" class="center">

<?php
    print $headline_base;
    print '<p>' . $la_calculation_and_faktura . '</p>';
    print '<p>&nbsp;</p>';

if (LOCAL_SYSTEM == true) {
    ?>
        <style type="text/css">
            h1{
                font-size: 2em;
            }
            p{
                font-size: 1.5em;
            }
        </style>
        <?php
    $print_fields = '<br>';
    foreach($arr_fields_new as $arr) {
        $print_fields .= $arr[0]. ', ';
    }
    $print_fields = substr($print_fields, 0, -2);
    
    if ($new_field_find == false and $db_present == true) {
        print '<h1 style="margin-top:1em">Bitte aktualisieren Sie die Datenbank indem Sie <a href="index.php?update=1">Hier</a> klicken.</h1>';
        print '<p>Folgende Felder werden dann hinzugef&uuml;gt: ' . $print_fields . '.</p>';
    }
    if (isset($hint_update1)) {
        print($hint_update1);
    }
    if (isset($sql_output)) {
        print $sql_output ;
    }
    if (isset($hint_update)) {
        print($hint_update);
    }
?>
    <h1>
        <a href="center.php?zen=1&bea_search=1&new=1">
        Zum Programm
    </a>
    </h1>  
    
<?php
    
    

// If LOCAL_SYSTEM == false
}else{

if (isset($_REQUEST['logout'])) {
    unset($_SESSION[$key77]);
}


    /**
     * SERVICE
     */
    if (SERVICE == true) {
        ?>
        <h1>Wartungsarbeiten. Wir sind bald wieder online.</h1>
        <p>&nbsp;</p>
        <img src="http://www.schreinerwissen.de/images/holzi_r_xl_2.png" width="100px">
        <?php

        
    /**
     * FORM
     */
    }else{
     ?>
    <form name="language" method="post" action="index.php">
    <input type="radio" <?php print $check_de; ?> name="lang" value="de"
           title="Sprache" onchange="this.form.submit();" >deutsch
    <input type="radio" <?php print $check_en; ?> name="lang" value="en"
           title="Sprache" onchange="this.form.submit();" >english
    </form>
    
    <form name="login" method="post" action="index.php">
    <input type="text" checked name="email" size="30" maxlength="50" /> <?php print $la_email_address; ?>
    <img src="image/info.png"
     title="An den Benutzernamen (vollst&auml;ndige E-Mail Adresse) kann der Bearbeiter
     getrennt von einer Leerstelle geh&auml;ngt werden" alt="Info">
    <br/>
    <br/>
        <input type="password" name="password"  maxlength="50" > <?php print $la_password; ?> 
    <br/>
    <br/>
        <input style="height: 5em;min-width:20em" type="submit" name="login_button" value="<?php print $la_login; ?>" >
    <br/>
    <br/>
        <input type="hidden" name="lang" value="<?php print $_SESSION['lang']; ?>" >
    <br/>
    <br/>
    <?php
//    $html = new Html_Element();
//    print $html->make_fixed_submit_button('change_data', $la_login, '10%', '50px');
    ?>
    </form>
        <br>
        
<?php
     #require_once 'development/pw_forgotten.inc.php';
    }
//phpinfo();
    $info  = new Info_Box();
if (isset($false_login)) {
   $text = 'Die Daten waren falsch.';
   $html = new Html_Element();
   echo $info->show_box($text);
   
}  elseif (isset($use3_empty)) {
   $text = 'Userdaten nicht gefunden.';
   $html = new Html_Element();
   echo $info->show_box($text);
}

} // End not LOCAL_SYSTEM
?>
</div>
</div>
<script src="http://www.google-analytics.com/urchin.js" type="text/javascript">
</script>
<script type="text/javascript">
_uacct = "UA-1763608-1";
urchinTracker();
</script>

</body>
</html>