<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * Creates all tables
 */


require_once 'common.php';

if (!isset ($_REQUEST['eintrag'])) {
    /**
     * Database
     */
    $sql = "CREATE DATABASE IF NOT EXISTS " . $use['db_e'];
    $db->do_sql($sql);
    
    $db->select_db($use['db_e']);
    
    $tbl_adm = 'tbl_'.$use['id'].'_admin';
    $tbl_adr = 'tbl_'.$use['id'].'_address';
    $tbl_pro = 'tbl_'.$use['id'].'_product';
    $tbl_ord = 'tbl_'.$use['id'].'_order';
    $tbl_ord_ite = 'tbl_'.$use['id'].'_order_item';
    $tbl_exp = 'tbl_'.$use['id'].'_expense';
    $tbl_wor = 'tbl_'.$use['id'].'_worker';
    $tbl_let = 'tbl_'.$use['id'].'_letter';
    $tbl_cal = 'tbl_'.$use['id'].'_calc';
    $tbl_cat = 'tbl_'.$use['id'].'_category';
    $tbl_cli = 'tbl_'.$use['id'].'_client';
    $tbl_cli_pro = 'tbl_'.$use['id'].'_client_product';
    $tbl_cal_fit = 'tbl_'.$use['id'].'_calc_fitting';
    $tbl_cal_lis = 'tbl_'.$use['id'].'_calc_list';
    $tbl_cal_mat = 'tbl_'.$use['id'].'_calc_material';
    $tbl_cal_tim = 'tbl_'.$use['id'].'_calc_time';
    $tbl_pri = 'tbl_'.$use['id'].'_price';
    $tbl_hou = 'tbl_'.$use['id'].'_hourly_rate';
    $tbl_tex = 'tbl_'.$use['id'].'_text';


    // Make common tables link country and unit
    if (LOCAL_SYSTEM == true) {
        require_once 'db/common_tbl.php'; 
    }
    
    
    /**
     * ADDRESS
     */
    $sql = "CREATE TABLE IF NOT EXISTS $tbl_adr (
      `id` int(11) NOT NULL auto_increment,
      `id_tbl_client` int(11) NOT NULL,
      `company` varchar(60) NOT NULL,
      `surname` varchar(60) NOT NULL,
      `forename` varchar(60) NOT NULL,
      `addition` varchar(50) NOT NULL,
      `email` varchar(80) NOT NULL,
      `postcode` varchar(10) DEFAULT NULL,
      `city` varchar(50) NOT NULL,
      `street` varchar(50) NOT NULL,
      `date_insert` timestamp NOT NULL default CURRENT_TIMESTAMP,
      `hide` tinyint(1) NOT NULL,
      `country` varchar(50) NOT NULL,
      `id_tbl_country` varchar(2) NOT NULL,
      `comment1` text NOT NULL,
      `phone` varchar(50) NOT NULL,
      `fax` varchar(50) NOT NULL,
      `id_tbl_salutation` int(11) NOT NULL,
      `id_tbl_worker` int(11) NOT NULL,
      `mobil` varchar(50) NOT NULL,
      `deliverer` tinyint(1) NOT NULL,
      `tax_id` varchar(50) NOT NULL,
      `delivery_address_on` tinyint(1) NOT NULL,
      `old_id` int(11) NOT NULL,
      PRIMARY KEY  (`id`),
      UNIQUE KEY `fremdschluessel` (`company`,`surname`,`postcode`,`street`,`email`,`forename`)
    ) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
    ";
    $db->do_sql($sql);
    
    /**
     * ADMIN
     */
    $sql = "CREATE TABLE IF NOT EXISTS $tbl_adm (
      `id` int(11) NOT NULL auto_increment,
      `worker` varchar(30) NOT NULL,
      `login_name` varchar(10) NOT NULL,
      `pw` varchar(50) NOT NULL,
      `company_name` varchar(60) NOT NULL,
      `company_name_on` tinyint(1) NOT NULL,
      `street` varchar(80) NOT NULL,
      `postcode` varchar(6) NOT NULL,
      `city` varchar(50) NOT NULL,
      `id_tbl_country` varchar(2) NOT NULL,
      `homepage` varchar(80) NOT NULL,
      `email` varchar(100) NOT NULL,
      `phone` varchar(80) NOT NULL,
      `fax` varchar(80) NOT NULL,
      `mobil` varchar(80) NOT NULL,
      `logo_on` tinyint(1) NOT NULL,
      `logo_url` varchar(255) NOT NULL,
      `logo_width` int(4) NOT NULL,
      `logo_xy` varchar(20) NOT NULL,
      `company_xy` varchar(20) NOT NULL,
      `company_data_xy` varchar(20) NOT NULL,
      `currency` varchar(10) NOT NULL,
      `bank` varchar(50) NOT NULL,
      `bank_account_holder` varchar(30) NOT NULL,
      `bank_account_number` varchar(20) NOT NULL,
      `bank_code` varchar(20) NOT NULL,
      `iban` varchar(50) NOT NULL,
      `bic` varchar(20) NOT NULL,
      `tax_number` varchar(20) NOT NULL,
      `tax_id` varchar(20) NOT NULL,
      `overheads_material` double(3,1) NOT NULL,
      `risk_profit` double(3,1) NOT NULL,
      `time_payment` int(2) NOT NULL,
      `time_payment_add` varchar(30) NOT NULL,
      `terms_of_payment` varchar(255) NOT NULL,
      `days_remember` int(3) NOT NULL,
      `free_shipping_border` double(7,2) NOT NULL,
      `tax_on` tinyint(1) NOT NULL,
      `tax_column_on` tinyint(1) NOT NULL,
      `tax_short` varchar(6) NOT NULL,
      `invoice_gross` tinyint(1) NOT NULL,
      `tax_rate_a` double(3,1) NOT NULL,
      `tax_rate_b` double(3,1) NOT NULL,
      `small_business` tinyint(1) NOT NULL,
      `own_doc_number` int(11) NOT NULL,
      `column_width` int(3) NOT NULL default '15',
      `interval_row` int(11) NOT NULL default '1',
      `delivered_on` tinyint(1) NOT NULL,
      `weight_article_on` tinyint(1) NOT NULL,
      `tax_article_on` tinyint(1) NOT NULL,
      `shipping_cost_always` tinyint(1) NOT NULL,
      `lang` varchar(3) NOT NULL,
      `time_format_doc` varchar(15) NOT NULL,
      `id_tbl_hourly_rate` int(11) NOT NULL,
      `tax_a_b_default` tinyint(4) NOT NULL,
      `font_size` double(3,1) NOT NULL,
      `your_mark` varchar(16) NOT NULL,
      `offer_top` int(11) NOT NULL,
      `offer_bottom` int(11) NOT NULL,
      `order_conf_top` int(11) NOT NULL,
      `order_conf_bottom` int(11) NOT NULL,
      `delivery_top` int(11) NOT NULL,
      `delivery_bottom` int(11) NOT NULL,
      `invoice_top` int(11) NOT NULL,
      `invoice_bottom` int(11) NOT NULL,
      `assumption_costs_top` int(11) NOT NULL,
      `assumption_costs_bottom` int(11) NOT NULL,
      `address_xy` varchar(20) NOT NULL,
      `delivery_address_xy` varchar(20) NOT NULL,
      PRIMARY KEY  (`id`)
    ) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
    ";
    $db->do_sql($sql);

    $sql = "
    INSERT INTO $tbl_adm (company_name, company_name_on, postcode, city, street, 
    id_tbl_country, logo_url, logo_width, logo_xy, company_xy,
    company_data_xy, currency, time_payment, tax_on, tax_rate_a, tax_rate_b,
    column_width, invoice_bottom, delivered_on)
    VALUE
    ('{$use['forename']} {$use['surname']}', 1, '{$use['postcode']}', '{$use['city']}',
    '{$use['street']}', 'DE', 'logo/2.jpg', 20, '140,25', '140,15',
    '140,50', 'Euro', 14, 1, 19, 7,
    30, 1, 1);
    ";
    $db->do_sql($sql);


    /**
     * Calculation
     */
    $sql = "
    CREATE TABLE IF NOT EXISTS $tbl_cal (
      `id` int(11) NOT NULL auto_increment,
      `id_tbl_order_item` int(11) NOT NULL,
      `overheads_material` double(3,1) NOT NULL,
      `risk_profit` double(3,1) NOT NULL,
      `split` int(11) NOT NULL default '1' COMMENT 'Auf so viele Werkstuecke verteilen',
      `hide` tinyint(1) NOT NULL,
      PRIMARY KEY  (`id`),
      UNIQUE KEY `fremdschluessel` (`id_tbl_order_item`)
    ) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
    ";
    $db->do_sql($sql);


    /**
     * Calc fitting
     */
    $sql = "
    CREATE TABLE IF NOT EXISTS $tbl_cal_fit (
      `id` int(11) NOT NULL auto_increment,
      `id_tbl_order_item` int(11) NOT NULL,
      `item` int(11) NOT NULL,
      `description` varchar(255) NOT NULL,
      `amount` double(9,2) NOT NULL,
      `amount_fact` double(9,2) NOT NULL,
      `id_tbl_unit` int(11) NOT NULL,
      `sales_price` double(9,2) NOT NULL,
      `comment1` text NOT NULL,
      `hide` tinyint(1) NOT NULL,
      PRIMARY KEY  (`id`)
    ) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
    ";
    $db->do_sql($sql);
    

    /**
     * Calc list
     */
    $sql = "
    CREATE TABLE IF NOT EXISTS $tbl_cal_lis (
      `id` int(11) NOT NULL auto_increment,
      `id_tbl_order_item` int(11) NOT NULL,
      `id_tbl_calc_material` int(11) NOT NULL,
      `item_tbl_calc_material` int(11) NOT NULL,
      `item` int(11) NOT NULL,
      `description` varchar(255) NOT NULL,
      `amount` int(11) NOT NULL,
      `amount_fact` int(11) NOT NULL,
      `l` int(6) NOT NULL,
      `w` int(6) NOT NULL,
      `t` int(6) NOT NULL,
      `edge` int(11) NOT NULL,
      `comment1` text NOT NULL,
      `hide` tinyint(1) NOT NULL,
      PRIMARY KEY  (`id`)
    ) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
    ";
    $db->do_sql($sql);


    /**
     * Calc material
     */
    $sql = "
    CREATE TABLE IF NOT EXISTS $tbl_cal_mat (
      `id` int(11) NOT NULL auto_increment,
      `id_tbl_order_item` int(11) NOT NULL,
      `item` int(11) NOT NULL,
      `description` varchar(255) NOT NULL,
      `thick` double(7,1) NOT NULL,
      `waste` double(4,1) NOT NULL,
      `id_tbl_unit` int(11) NOT NULL,
      `sales_price` double(9,2) NOT NULL,
      `hide` tinyint(1) NOT NULL,
      `edge` tinyint(1) NOT NULL,
      PRIMARY KEY  (`id`)
    ) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
    ";
    $db->do_sql($sql);
       

    /**
     * Calc time
     */
    $sql = "
    CREATE TABLE IF NOT EXISTS $tbl_cal_tim (
      `id` int(11) NOT NULL auto_increment,
      `id_tbl_order_item` int(11) NOT NULL,
      `item` int(11) NOT NULL,
      `description` varchar(240) NOT NULL,
      `h_planned` double(7,2) NOT NULL,
      `id_tbl_hourly_rate` int(11) NOT NULL,
      `h_fact` double(7,2) NOT NULL,
      `comment1` text NOT NULL,
      `hide` tinyint(1) NOT NULL,
      PRIMARY KEY  (`id`)
    ) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
    ";
    $db->do_sql($sql);

    
    /**
     *  Category
     */
   $sql = " CREATE TABLE IF NOT EXISTS $tbl_cat (
      `id` int(11) NOT NULL auto_increment,
      `category` varchar(50) NOT NULL,
      `tbl_product` tinyint(1) NOT NULL,
      `tbl_price` tinyint(1) NOT NULL,
      `hide` tinyint(1) NOT NULL,
      PRIMARY KEY  (`id`)
    ) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
    ";
    $db->do_sql($sql);
    $sql = "
     INSERT INTO $tbl_cat (`id`, `category`, `tbl_product`, `tbl_price`, `hide`)
     VALUES (1, 'Beschl?ge', 0, 1, 0),(2, 'Platten', 0, 1, 0),(3, 'Schnittholz', 0, 1, 0),
    (4, 'Furnier', 0, 1, 0),(5, 'Kanten', 0, 1, 0),(6, 'Fertigteile', 0, 1, 0),
    (7, 'Lacke', 0, 1, 0),(8, 'Glas', 0, 1, 0),(9, 'Diverses', 0, 1, 0),(10, 'Leistungen', 1, 0, 0),
    (11, 'Shop', 1, 0, 0),(12, 'Versand', 1, 0, 0);
    ";
    $db->do_sql($sql);
    
    
    /**
     * Client
     */
    $sql = "
    CREATE TABLE IF NOT EXISTS $tbl_cli (
      `id` int(11) NOT NULL auto_increment,
      `client_no` int(11) NOT NULL,
      `id_tbl_address` int(11) NOT NULL,
      `date_insert` timestamp NOT NULL default CURRENT_TIMESTAMP,
      `hide` tinyint(1) NOT NULL,
      `comment1` text NOT NULL,
      `deliverer` tinyint(1) NOT NULL,
      PRIMARY KEY  (`id`),
      UNIQUE KEY `fremdschluessel` (`client_no`)
    ) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
    ";
    $db->do_sql($sql);

    // fields checked --------------------------------------------------------
    /**
     * Client product
     */
    $sql = "
    CREATE TABLE IF NOT EXISTS $tbl_cli_pro (
      `id` int(11) NOT NULL auto_increment,
      `id_tbl_client` int(11) NOT NULL,
      `id_tbl_product` int(11) NOT NULL,
      `hide` int(1) NOT NULL,
      PRIMARY KEY  (`id`)
    ) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
    ";
    $db->do_sql($sql);
    
    
    /**
     * Expense
     */
    $sql = "CREATE TABLE IF NOT EXISTS $tbl_exp (
      `id` int(11) NOT NULL auto_increment,
      `date_insert` timestamp NOT NULL default CURRENT_TIMESTAMP,
      `date2` date NOT NULL,
      `expense` varchar(100) NOT NULL,
      `invoice_amount` double(7,2) NOT NULL default '0.00',
      `payed` date NOT NULL,
      `delivered` date NOT NULL,
      `hide` tinyint(1) NOT NULL,
      `comment1` text NOT NULL,
      `id_tbl_address` int(10) NOT NULL,
      `id_tbl_worker` int(11) NOT NULL,
      `material` tinyint(1) NOT NULL,
      PRIMARY KEY  (`id`)
    ) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
    ";
    $db->do_sql($sql);
    
    
    /**
     * Hourly rates
     */
    $sql = "
        CREATE TABLE IF NOT EXISTS $tbl_hou (
        `id` int(11) NOT NULL auto_increment,
        `short` varchar(20) NOT NULL,
        `money_hour` double(7,2) NOT NULL,
        `id_tbl_worker` int(11) NOT NULL,
        `hide` tinyint(1) NOT NULL,
        PRIMARY KEY  (`id`)
        ) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
    ";
    $db->do_sql($sql);
        $sql = "
    INSERT INTO $tbl_hou (`id`, `short`, `money_hour`, `id_tbl_worker`)
    VALUE (1, 'Facharbeiter', '36', '1');
    ";
    $db->do_sql($sql);
    
    
    /**
     * Letter
     */
    $sql = "
    CREATE TABLE IF NOT EXISTS $tbl_let (
      `id` int(11) NOT NULL auto_increment,
      `id_tbl_address` int(11) NOT NULL,
      `id_tbl_order` int(11) NOT NULL,
      `id_tbl_worker` int(11) NOT NULL,
      `date_insert` timestamp NOT NULL default CURRENT_TIMESTAMP,
      `date_letter` date NOT NULL,
      `your_mark` varchar(30) NOT NULL,
      `reference` varchar(100) NOT NULL,
      `salutation` varchar(50) NOT NULL,
      `letter_text` text NOT NULL,
      `typ` int(11) NOT NULL COMMENT '0=vortext, 1=nachtext, 2=brief',
      `hide` tinyint(1) NOT NULL,
      PRIMARY KEY  (`id`)
    ) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
    ";
    $db->do_sql($sql);


    /**
     * ORDER
     */
    $sql = "CREATE TABLE IF NOT EXISTS $tbl_ord (
  `id` int(11) NOT NULL auto_increment,
  `number` int(11) NOT NULL,
  `date_insert` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `order_description` varchar(200) NOT NULL,
  `invoice_amount` double(9,2) NOT NULL,
  `payed` date NOT NULL,
  `finished` date NOT NULL,
  `delivered` date NOT NULL,
  `hide` tinyint(1) NOT NULL default '0',
  `comment1` text NOT NULL,
  `tax_on` tinyint(1) NOT NULL,
  `delivered_on` tinyint(1) NOT NULL,
  `invoice_gross` tinyint(1) NOT NULL,
  `tax_rate_a` double(3,1) NOT NULL,
  `tax_rate_b` double(3,1) NOT NULL,
  `tax_a` double(9,2) NOT NULL,
  `tax_b` double(9,2) NOT NULL,
  `your_mark` varchar(30) NOT NULL,
  `time_payment` int(2) NOT NULL,
  `time_payment_add` varchar(30) NOT NULL,
  `id_tbl_address` int(11) NOT NULL,
  `id_tbl_address_deliv` int(11) NOT NULL,
  `id_tbl_worker` int(11) NOT NULL,
  `date_invoice` date NOT NULL,
  `date_order_conf` date NOT NULL,
  `date_offer` date NOT NULL,
  `date_assumption_costs` date NOT NULL,
  `time_delivery` varchar(30) NOT NULL,
  `date_part_pay` date NOT NULL,
  `part_pay_description` varchar(255) NOT NULL,
  `part_pay_amount` double(7,2) NOT NULL,
  `part_pay_tax_a_b` tinyint(4) NOT NULL,
  `part_pay_payed` date NOT NULL,
  `date_reminder_1` date NOT NULL,
  `date_reminder_2` date NOT NULL,
  `shipping_cost` double(7,2) NOT NULL,
  `shipping_cost_always` tinyint(1) NOT NULL,
  `offer_top` int(11) NOT NULL,
  `offer_bottom` int(11) NOT NULL,
  `order_conf_top` int(11) NOT NULL,
  `order_conf_bottom` int(11) NOT NULL,
  `delivery_top` int(11) NOT NULL,
  `delivery_bottom` int(11) NOT NULL,
  `invoice_top` int(11) NOT NULL,
  `invoice_bottom` int(11) NOT NULL,
  `assumption_costs_top` int(11) NOT NULL,
  `assumption_costs_bottom` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `fremdschluessel` (`order_description`,`id_tbl_address`,`date_invoice`)
    ) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
    ";
    $db->do_sql($sql);


    // Order item
    $sql = "
    CREATE TABLE IF NOT EXISTS $tbl_ord_ite (
      `id` int(11) NOT NULL auto_increment,
      `item_follow` int(3) NOT NULL,
      `item` varchar(8) NOT NULL,
      `amount` double(9,3) NOT NULL,
      `id_tbl_unit` int(11) NOT NULL,
      `id_tbl_product` int(11) NOT NULL,
      `id_tbl_order` int(11) NOT NULL,
      `id_tbl_worker` int(11) NOT NULL,
      `sales_price` double(9,2) NOT NULL,
      `description` text NOT NULL,
      `date_insert` timestamp NOT NULL default CURRENT_TIMESTAMP,
      `item_payed` date NOT  NULL ,
      `date_part_pay` date NOT  NULL ,
      `hide` tinyint(1) NOT NULL,
      `offer` tinyint(1) NOT NULL,
      `order_conf` tinyint(1) NOT NULL,
      `delivery` tinyint(1) NOT NULL,
      `invoice` tinyint(1) NOT NULL,
      `item_typ` int(1) NOT NULL COMMENT '0=normal, 1=alternativ, 2=text',
      `tax_a_b` tinyint(4) NOT NULL,
      `tax_rate` double(3,1) NOT NULL,
      `weight` double(7,2) NOT NULL,
      PRIMARY KEY  (`id`),
      KEY `fremdschluessel` (`id_tbl_order`,`item`)
    ) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
    ";
    $db->do_sql($sql);


    /**
     * Price
     */
    $sql = "
    CREATE TABLE IF NOT EXISTS $tbl_pri (
      `id` int(11) NOT NULL auto_increment,
      `id_tbl_category` int(5) NOT NULL,
      `description` varchar(200) NOT NULL,
      `short` varchar(20) NOT NULL,
      `material` varchar(20) NOT NULL,
      `thick` double(7,1) NOT NULL,
      `waste` int(11) NOT NULL,
      `order_code` varchar(100) NOT NULL,
      `date_insert` timestamp NOT NULL default CURRENT_TIMESTAMP,
      `id_tbl_address` int(11) NOT NULL,
      `purchase_price` double(9,2) NOT NULL,
      `sales_price` double(9,2) NOT NULL,
      `tax_a_b` int(4) NOT NULL,
      `tax_rate` double(3,1) NOT NULL,
      `percent_to_purchase_price` int(3) NOT NULL,
      `weight` double(7,2) NOT NULL,
      `id_tbl_unit` int(11) NOT NULL,
      `id_tbl_worker` int(11) NOT NULL,
      `img_url` varchar(200) NOT NULL,
      `hide` tinyint(1) NOT NULL,
      PRIMARY KEY  (`id`)
    ) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
    ";
    $db->do_sql($sql);
    
        
    /**
     *  Products
     */
   $sql = " CREATE TABLE IF NOT EXISTS $tbl_pro (
      `id` int(11) NOT NULL auto_increment,
      `id_tbl_category` int(5) NOT NULL,
      `description` varchar(200) NOT NULL,
      `short` varchar(20) NOT NULL,
      `material` varchar(20) NOT NULL,
      `thick` double(7,1) NOT NULL,
      `order_code` varchar(100) NOT NULL,
      `date_insert` timestamp NOT NULL default CURRENT_TIMESTAMP,
      `id_tbl_address` int(11) NOT NULL,
      `purchase_price` double(9,2) NOT NULL,
      `sales_price` double(9,2) NOT NULL,
      `tax_a_b` tinyint(4) NOT NULL,
      `tax_rate` double(3,1) NOT NULL,
      `percent_to_purchase_price` int(3) NOT NULL,
      `weight` double(7,2) NOT NULL,
      `id_tbl_unit` int(11) NOT NULL,
      `id_tbl_worker` int(11) NOT NULL,
      `img_url` varchar(200) NOT NULL,
      `comment1` text NOT NULL,
      `hide` tinyint(1) NOT NULL,
      PRIMARY KEY  (`id`)
    ) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
    ";
$db->do_sql($sql);


    /**
     * Text
     */
    $sql = "
        CREATE TABLE IF NOT EXISTS $tbl_tex (
        `id` int(11) NOT NULL auto_increment,
        `date_insert` timestamp NOT NULL default CURRENT_TIMESTAMP,
        `short` varchar(80) NOT NULL,
        `text_block` text NOT NULL,
        `typ` int(11) NOT NULL COMMENT '1=vortext, 2=nachtext, 3=brief',
        `standard` tinyint(1) NOT NULL,
        `id_tbl_worker` int(11) NOT NULL,
        `hide` tinyint(1) NOT NULL,
        PRIMARY KEY  (`id`)
        ) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;
    ";
    $db->do_sql($sql);
    

    /**
     * Worker
     */
    $sql = "CREATE TABLE IF NOT EXISTS $tbl_wor (
      `id` int(11) NOT NULL auto_increment,
      `username` varchar(8) NOT NULL,
      `surname` varchar(30) NOT NULL,
      `forename` varchar(30) NOT NULL,
      `pw` varchar(40) NOT NULL,
      `date_insert` timestamp NOT NULL default CURRENT_TIMESTAMP,
      `css` varchar(80) NOT NULL,
      `background` varchar(20) NOT NULL,
      `results_page` int(11) NOT NULL,
      `column_width` int(4) NOT NULL,
      `textarea_rows` int(2) NOT NULL,
      `time_format_list` varchar(15) NOT NULL,
      `session_value` text NOT NULL,
      `maps_on` tinyint(1) NOT NULL,
      `hide` tinyint(1) NOT NULL,
      PRIMARY KEY  (`id`),
      UNIQUE KEY `fremdschluessel` (`username`)
    ) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
    ";
    $db->do_sql($sql);


    $user_name = substr($use['forename'], 0, 1);
    $user_name .= substr($use['surname'], 0, 1);
    $sql = "
    INSERT INTO $tbl_wor (`id`, `username`, `surname`, `forename`, `pw`, `date_insert`, `hide`) VALUE
    (1, '$user_name', '{$use['surname']}', '{$use['forename']}', '', '', 0);
    ";
    $db->do_sql($sql);


    
    // Make user dir 
    if (LOCAL_SYSTEM == false) {
        require_once 'development/tbl_make.inc.php'; 
    }


}
$_SESSION['bea_id'] = 1;
$go = new Go_Forward();
$go->go_to_target('user_setting.php');
?>